;;; Studio Tecnico Arch. Giuseppe Conte  
;;; via Roma, 28
;;; 72026 - San Pancrazio Salentino (BR) - Italy
;;;
;;; Plugin  : draw-line.scm
;;; Author  : Arch. Giuseppe Conte 
;;; Date    : 08 maggio 2002 -  Florence - Italy
;;; Revision: 19 giugno 2004
;;; 					13 dicembre 2007 update to TinyScheme
;;; Version : 2.4.1
;;; Last version at: http://xoomer.alice.it/lwcon/gimp/script-fu/draw-line.htm
;;; Help guide at  : http://xoomer.alice.it/lwcon/gimp/script-fu/draw-line.htm
;;; Required : Gimp 2.4.1 or last
;;;
;;; Description: 
;;; Draw line from point to point with the brush and color active.
;;; -----------------------------------------------------------------------------
;;;
;;; License:
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;; 
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;; 
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

;;; Define the function:

(define (script-fu-draw-line inImage inLayer xa ya xb yb)

		;(set! npoint 4)

	(let* (	(segment (cons-array 4 'double))  
		(ax xa)
		(ay ya)
		(bx xb)
		(by yb)
		(npoint 4)
	     )				
  		(vector-set! segment 0 (* 1 xa))
  		(vector-set! segment 1 (* 1 ya))
  		(vector-set! segment 2 (* 1 xb))
  		(vector-set! segment 3 (* 1 yb))
  	       
  
		(gimp-pencil inLayer npoint segment )

   			
  	  (gimp-displays-flush)
       );let
       
	
) ;;def


(script-fu-register
 "script-fu-draw-line"
 _"<Image>/_ATG/_Draw/Draw _Line"
 "Draw line between two points."
 "Arch. Giuseppe Conte <http://xoomer.alice.it/lwcon/>"
 "Arch. Giuseppe Conte"
 "9 Dicembre 2007 - San Pancrazio Salentino - Italy"
 "RGB* GRAY* INDEXED*"
 SF-IMAGE "The Image" 0
 SF-DRAWABLE "The Layer" 0
 SF-ADJUSTMENT "Xa" '(0 0 9999 1 10 0 1)
 SF-ADJUSTMENT "Ya" '(0 0 9999 1 10 0 1)
 SF-ADJUSTMENT "Xb" '(0 0 9999 1 10 0 1)
 SF-ADJUSTMENT "Yb" '(0 0 9999 1 10 0 1)
)
